package com.nanyan.securitylink.service;

import com.alibaba.fastjson.JSONObject;
import com.nanyan.securitylink.dto.AIRequestDTO;
import com.nanyan.securitylink.vo.AIResponse;
import com.nanyan.securitylink.vo.CodeVO;

public interface AIService {
    AIResponse<String> translate(AIRequestDTO AIRequestDTO);
    AIResponse<CodeVO> newsTags(AIRequestDTO AIRequestDTO);

    AIResponse<CodeVO> naturalDisasterTag(AIRequestDTO aiRequestDTO);

    AIResponse<JSONObject> newsTagAndTranslate(AIRequestDTO aiRequestDTO);

    AIResponse<JSONObject> dealUrgentNotice(AIRequestDTO aiRequestDTO);

    AIResponse<JSONObject> collectNewsCountryAndCity(AIRequestDTO aiRequestDTO);
}
